#pragma once
#include <map>
struct M_ActivityDoubleElevenLotteryExData
{
	//ID
	int mID;
	//权重
	int mWeight;
	//额外奖励道具ID
	int mItemId;
	//道具数量
	int mItemCount;
};

class M_ActivityDoubleElevenLotteryEx
{
public:
private:
	static std::auto_ptr<M_ActivityDoubleElevenLotteryEx> msSingleton;
public:
	int GetCount();
	const M_ActivityDoubleElevenLotteryExData* GetData(int ID);
	const std::map<int, M_ActivityDoubleElevenLotteryExData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityDoubleElevenLotteryEx* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityDoubleElevenLotteryExData> mMapData;
};
